% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/build_run_modify.R
\name{umxRotate}
\alias{umxRotate}
\title{Generic SEM factor model loading rotation function}
\usage{
umxRotate(
  model,
  rotation = c("varimax", "promax"),
  tryHard = "yes",
  freeLoadingsAfter = TRUE,
  verbose = TRUE
)
}
\arguments{
\item{model}{a model to rotate}

\item{rotation}{name of the rotation.}

\item{tryHard}{Default ("yes") is to tryHard}

\item{freeLoadingsAfter}{Whether to keep the rotated loadings fixed (Default, free them again)}

\item{verbose}{print detail about the rotation}
}
\value{
\itemize{
\item Rotated solution
}
}
\description{
See \code{\link[=umxRotate.MxModelCP]{umxRotate.MxModelCP()}} to rotate the factor loadings of a \code{\link[=umxCP]{umxCP()}} model
}
\seealso{
Other Reporting functions: 
\code{\link{RMSEA}()},
\code{\link{RMSEA.MxModel}()},
\code{\link{RMSEA.summary.mxmodel}()},
\code{\link{extractAIC.MxModel}()},
\code{\link{loadings}()},
\code{\link{loadings.MxModel}()},
\code{\link{residuals.MxModel}()},
\code{\link{tmx_show}()},
\code{\link{tmx_show.MxMatrix}()},
\code{\link{umxCI}()},
\code{\link{umxCI_boot}()},
\code{\link{umxConfint}()},
\code{\link{umxExpCov}()},
\code{\link{umxExpMeans}()},
\code{\link{umxFitIndices}()}
}
\concept{Reporting functions}
